1MSG

Get Group Info

GET
/groups/{group_id}

Return group metadata and participants. Use fields to request a subset (for example subject,description,participants).

Authorization

JWT token
querytoken<token>

Path Parameters

group_id*string

Group ID without @g.us suffix. Example: Y2FwaV9ncm91cDoxNzA1NTU1MDEzOToxMjAzNjM0MDQ2OTQyMzM4MjAZD

Query Parameters

fields?string

Comma-separated list of fields to return for group info

Response Body

Server response example

application/json
  1. response
id?string

Group ID

subject?string

Group name

description?string

Group description

participants?array<>
chatId?string

Group chatId with @g.us suffix

curl -X GET 'https://api.1msg.io/123/groups/Y2FwaV9ncm91cDoxNzA1NTU1MDEzOToxMjAzNjM0MDQ2OTQyMzM4MjAZD?fields=subject%2Cdescription%2Cparticipants'
{  "id": "Y2FwaV9ncm91cDoxNzA1NTU1MDEzOToxMjAzNjM0MDQ2OTQyMzM4MjAZD",  "subject": "Group name",  "description": "Group description",  "participants": [    {      "wa_id": "79001234567",      "type": "admin"    }  ],  "chatId": "[email protected]"}